/*
 * Main.java
 * Created on Aug 14, 2011
 */
package com.areaofthoughts.eZoo;

import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
/**
 * Main
 * @author Mark
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                setSystemLookAndFeel();
                new View().setVisible(true);                
            }
        });
    }
    /**
     * Sets the graphical user interface look to match operating system.
     */
    private static void setSystemLookAndFeel() {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (ClassNotFoundException e) {
            System.err.println(e);
        } catch (InstantiationException e) {
            System.err.println(e);
        } catch (IllegalAccessException e) {
            System.err.println(e);
        } catch (UnsupportedLookAndFeelException e) {
            System.err.println(e);
        }
    }
}
