/*
 * Controller.java
 * Created on Aug 14, 2011
 */
package com.areaofthoughts.eZoo;

import java.awt.Image;
import javax.swing.Icon;
import javax.swing.ImageIcon;
/**
 * Controller 
 * @author Mark
 */
public class Controller {
   
    private Model model = null;
    /**
     * Constructor
     */
    public Controller() {
        model = new Model();
        model.fillAdjArr();
        //model.printToFile();
    }
    /**
     * Retrieves caption string from model.
     * @param ac
     * @return 
     */
    public String getLabelText(String ac) {
        return model.getCaption(ac.toLowerCase());
    }
    /**
     * Retrieves icon object from model.
     * @param ac
     * @return 
     */   
    public Icon getLabelIcon(String ac) {
        String fp = model.getImageFilePath(ac);
        //model.printToConsole(ac);
        return new ImageIcon(getClass().getResource(fp));
    }
    /**
     * Retrieves random string id.
     * @return 
     */
    public String getRandString() {
        return model.getRandAnimal();
    }
    /**
     * Retrieves application title bar image.
     * @return 
     */
    public Image getAppImage() {
        String fp = Model.getAppImagePath();
        return new ImageIcon(getClass().getResource(fp)).getImage();
    }
 
}
